Get logs by contract

Get the logs for a contract.

Path Params
string
required

The address of the contract

Query Params
string
enum
Defaults to eth

The chain to query

string

The block number

  • Provide the param 'block_numer' or ('from_block' and / or 'to_block')
  • If 'block_numer' is provided in combination with 'from_block' and / or 'to_block', 'block_number' will will be used
string

The minimum block number from which to get the logs

  • Provide the param 'block_numer' or ('from_block' and / or 'to_block')
  • If 'block_numer' is provided in combination with 'from_block' and / or 'to_block', 'block_number' will will be used
string

The maximum block number from which to get the logs

  • Provide the param 'block_numer' or ('from_block' and / or 'to_block')
  • If 'block_numer' is provided in combination with 'from_block' and / or 'to_block', 'block_number' will will be used
string

The start date from which to get the logs (any format that is accepted by momentjs)

  • Provide the param 'from_block' or 'from_date'
  • If 'from_date' and 'from_block' are provided, 'from_block' will be used.
  • If 'from_date' and the block params are provided, the block params will be used. Please refer to the blocks params sections (block_number,from_block and to_block) on how to use them
string

Get the logs up to this date (any format that is accepted by momentjs)

  • Provide the param 'to_block' or 'to_date'
  • If 'to_date' and 'to_block' are provided, 'to_block' will be used.
  • If 'to_date' and the block params are provided, the block params will be used. Please refer to the blocks params sections (block_number,from_block and to_block) on how to use them
string

topic0

string

topic1

string

topic2

string

topic3

integer
≥ 0

The desired page size of the result.

string

The cursor returned in the previous response (used for getting the next page).

Response

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json